Subject: Please add a hook for `isearch-process-search-string'
From: Lennart Borgman <[email-masked]>
To: Emacs Bugs <[email-masked]>
Date: Thu, 20 May 2010 01:53:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

There is AFAICS no way to currently trigger actions when isearch
search string changes.

I think it would be useful to have a hook for this. Some things that
you could do would for example

- Sync with external apps (I currently want to sync with display in Firefox).

- Show matches in buffers displayed in other windows on the same frame
could sometimes be useful.

Could we please add such a hook? I think the place to run it is in
`isearch-process-search-string'.